<div *ngIf="book">

    <h3>{{book.title}}</h3>
    <img *ngIf="book.cover_i" src="https://covers.openlibrary.org/b/id/{{book.cover_i}}-M.jpg" [alt]="book.title">
    <p>Author: {{book.author_name ? book.author_name:'unknown'}}</p>

    <!-- <p *ngIf="book.author_name">Author: {{book.author_name}}</p>
    <p *ngIf="!book.author_name">Author: unknown</p> -->
    <p *ngIf="book.subject">Genres: {{book.subject}}</p>
    <p>Published: {{book.first_publish_year}}</p>

</div>